libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Classes | Namespaces
ipa_data_serializer.h File Reference

IPA Data Serializer. More...

`#include <string.h>`
`#include <tuple>`
`#include <type_traits>`
`#include <vector>`
`#include <libcamera/base/flags.h>`
`#include <libcamera/base/log.h>`
`#include <libcamera/control_ids.h>`
`#include <libcamera/framebuffer.h>`
`#include <libcamera/geometry.h>`
`#include <libcamera/ipa/ipa_interface.h>`
`#include "libcamera/internal/control_serializer.h"`
Include dependency graph for ipa_data_serializer.h:

Go to the source code of this file.

## Classes
class | libcamera::IPADataSerializer< T >
| IPA Data Serializer. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

IPA Data Serializer.